#!/usr/bin/haserl
<? 
. /usr/lib/webif/webif.sh

load_settings phidget22networkserver

dpkg -l phidget22networkserver | grep ^ii 2>&1 1>/dev/null && installed="true" || installed="false"
ps auxww | grep -v grep | grep -q "\/usr\/bin\/phidget22networkserver " && running="true" || running="false"

header "Phidgets" "Control Panel" "Phidget Control Panel"

if [ "$installed" = "false" ]; then

	cat <<EOF
The control panel requires the phidget22 network server to be installed. You can install it from the <a href="/cgi-bin/system-packages.sh">Packages</a> page, or via SSH.
EOF

elif [ "$running" = "false" ]; then

	cat <<EOF
The control panel requires the phidget22 network server to be running.
You can start it from the <a href="/cgi-bin/phidgets-networkservice.sh">Phidget22 Network Server</a> page
EOF

elif [ "$main_webserver_enable" != "true" ]; then

	cat <<EOF
The control panel requires the phidget22 network server and web server to be enabled.
You can enable then from the <a href="/cgi-bin/phidgets-networkservice.sh">Phidget22 Network Server</a> page.
EOF

else

	# Try to find addr that user has typed into brower, other wise fall back on eth0 addr, and finally on wlan0 addr
	_host="${HTTP_REFERER#http://}"
	_host="${_host%%/*}"
	if empty $_host; then
		for ipaddr in $(/sbin/ifconfig | sed -n '/inet addr:/s/ *inet addr:\([[:digit:].]*\) .*/\1/p'); do
			if ! empty "$ipaddr" && ! equal "$ipaddr" "127.0.0.1"; then
				_host="$ipaddr"
				break
			fi
		done
	fi

	cat <<EOF
<div id="controlpanel">
	<iframe src="http://$_host:$webserver_port/index.html" />
</div>
EOF

fi

footer ?>
<!--
##WEBIF:name:Phidgets:200:Control Panel
-->
